<?php
/**
 * Overrides default one page checkout with Flash Checkout
 *
 * Flash Checkout by Kahanit(https://www.kahanit.com/) is licensed under a
 * Creative Creative Commons Attribution-NoDerivatives 4.0 International License.
 * Based on a work at https://www.kahanit.com/.
 * Permissions beyond the scope of this license may be available at https://www.kahanit.com/.
 * To view a copy of this license, visit http://creativecommons.org/licenses/by-nd/4.0/.
 *
 * @author    Amit Sidhpura <amit@kahanit.com>
 * @copyright 2015 Kahanit
 * @license   http://creativecommons.org/licenses/by-nd/4.0/
 * @version   1.0.1.0
 */

if (!defined('_PS_VERSION_')) {
    exit;
}

/**
 * Class Flashcheckout
 */
class Flashcheckout extends Module
{
    protected $config_form = false;

    public function __construct()
    {
        $this->name = 'flashcheckout';
        $this->tab = 'checkout';
        $this->version = '1.0.1';
        $this->author = 'Kahanit';
        $this->need_instance = 0;
        $this->bootstrap = true;
        $this->module_key = '8d904b89af0b97669f9fecb1efb8f9ab';

        parent::__construct();

        $this->displayName = $this->l('Flash Checkout - PrestaShop One Page Checkout Module');
        $this->description = $this->l('It helps customers to quickly finish checkout process');

        $this->confirmUninstall = $this->l('Are you sure?');
    }

    public function install()
    {
        ConfigurationCore::updateValue('PS_ORDER_PROCESS_TYPE', 1);

        return parent::install();
    }

    public function uninstall()
    {
        return parent::uninstall();
    }

    public function getContent()
    {
        Tools::redirectAdmin($this->context->link->getAdminLink('AdminOrderPreferences'));
        die();
    }
}
