{**
 * Overrides default one page checkout with Flash Checkout
 *
 * Flash Checkout by Kahanit(https://www.kahanit.com/) is licensed under a
 * Creative Creative Commons Attribution-NoDerivatives 4.0 International License.
 * Based on a work at https://www.kahanit.com/.
 * Permissions beyond the scope of this license may be available at https://www.kahanit.com/.
 * To view a copy of this license, visit http://creativecommons.org/licenses/by-nd/4.0/.
 *
 * @author    Amit Sidhpura <amit@kahanit.com>
 * @copyright 2015 Kahanit
 * @license   http://creativecommons.org/licenses/by-nd/4.0/
 * @version   1.0.1.0
 *}
<div id="flashcheckout-account" class="panel panel-default"{if count($products) == 0} style="display:none;"{/if}>
    <div class="panel-heading">
        <i class="glyphicon glyphicon-user"></i>
        <span>{l s='Account' mod='flashcheckout'}</span>
    </div>
    <div class="panel-content panel-body">
        {if $is_logged || $is_guest}
            <div class="account-details">
                <strong>{$customer->firstname|escape:'html':'UTF-8'} {$customer->lastname|escape:'html':'UTF-8'}</strong><br/>{$customer->email|escape:'html':'UTF-8'}</div>
        {/if}
        <div class="btn-group">
            {if !$is_logged}
                <button type="button" id="flashcheckout-login" class="btn btn-default btn-sm" data-for="login" data-toggle="modal" data-target="#login_modal">
                    {l s='Login' mod='flashcheckout'}
                </button>
                <button type="button" id="flashcheckout-register" class="btn btn-default btn-sm" data-for="register" data-toggle="modal" data-target="#login_modal">
                    {l s='Register' mod='flashcheckout'}
                </button>
            {/if}
            {if $is_logged}
                <button type="button" id="flashcheckout-editregister" class="btn btn-default btn-sm" data-for="editregister" data-toggle="modal" data-target="#login_modal">
                    {l s='Edit' mod='flashcheckout'}
                </button>
            {/if}
            {if $PS_GUEST_CHECKOUT_ENABLED}
                {if !$is_guest && !$is_logged}
                    <button type="button" id="flashcheckout-instant" class="btn btn-default btn-sm" data-for="instant" data-toggle="modal" data-target="#login_modal">
                        {l s='Instant Checkout' mod='flashcheckout'}
                    </button>
                {/if}
                {if $is_guest}
                    <button type="button" id="flashcheckout-editinstant" class="btn btn-default btn-sm" data-for="editinstant" data-toggle="modal" data-target="#login_modal">
                        {l s='Edit' mod='flashcheckout'}
                    </button>
                {/if}
            {/if}
            {if $is_logged}
                <a class="btn btn-default btn-sm" href="{$link->getPageLink('index', true, NULL, "mylogout")|escape:'html':'UTF-8'}"
                   title="{l s='Sign out' mod='flashcheckout'}">
                    {l s='Sign out' mod='flashcheckout'}
                </a>
            {/if}
        </div>
        {if isset($formattedAddresses.delivery.object.id) && isset($formattedAddresses.invoice.object.id)}
            <div id="deliveryaddress">
                <div class="btn-group-vertical pull-right">
                    <button type="button" class="btn btn-default btn-sm glyphicon glyphicon-pencil edit-address" data-type="delivery" data-for="{if $is_logged}editregister{elseif $is_guest}editregister{/if}" data-toggle="modal" data-target="#login_modal"></button>
                    <a href="{$link->getPageLink("address", true, NULL, "back=order-opc.php")|escape:'html':'UTF-8'}" class="btn btn-default btn-sm glyphicon glyphicon-plus add-address"></a>
                </div>
                <div class="dropdown">
                    <input type="hidden" name="id_address" value="{$formattedAddresses.delivery.object.id|escape:'html':'UTF-8'}">
                    <button type="button" id="dLabelDlv" class="btn btn-default btn-sm" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        {if isset($isVirtualCart) && $isVirtualCart}
                            {l s='Invoice Address' mod='flashcheckout'}
                            <span class="caret"></span>
                        {else}
                            {l s='Delivery Address' mod='flashcheckout'}
                            <span class="caret"></span>
                        {/if}
                    </button>
                    <ul class="dropdown-menu" aria-labelledby="dLabelDlv">
                        {foreach from=$addresses item=address}
                            <li>
                                <a href="#" data-type="delivery" data-id="{$address.id_address|escape:'html':'UTF-8'}">{$address.alias|escape:'html':'UTF-8'}</a>
                            </li>
                        {/foreach}
                    </ul>
                </div>
                <address>
                    <span><strong>{$formattedAddresses.delivery.object.alias|escape:'html':'UTF-8'}</strong></span>
                    {foreach from=$formattedAddresses.delivery.ordered name=adr_loop item=pattern}
                        <span>
                            {assign var=addressKey value=" "|explode:$pattern}
                            {foreach from=$addressKey item=key name="word_loop"}
                                {$formattedAddresses.delivery.formated[$key|replace:',':'']|escape:'html':'UTF-8'}
                            {/foreach}
                        </span>
                    {/foreach}
                </address>
            </div>
            <div id="useanotheraddress"{if isset($isVirtualCart) && $isVirtualCart} style="display:none;"{/if}>
                <label>
                    <input type="checkbox" class="useanotheraddress-forinvoice"
                            {if $formattedAddresses.delivery.object.id != $formattedAddresses.invoice.object.id} checked{/if}>
                    {l s='Please use another address for invoice' mod='flashcheckout'}
                </label>
            </div>
            <div id="invoiceaddress"{if $formattedAddresses.delivery.object.id == $formattedAddresses.invoice.object.id} style="display: none"{/if}>
                <div class="btn-group-vertical pull-right">
                    <button type="button" class="btn btn-default btn-sm glyphicon glyphicon-pencil edit-address" data-type="invoice" data-for="{if $is_logged}editregister{elseif $is_guest}editregister{/if}" data-toggle="modal" data-target="#login_modal"></button>
                    <a href="{$link->getPageLink("address", true, NULL, "back=order-opc.php")|escape:'quotes':'UTF-8'}" class="btn btn-default btn-sm glyphicon glyphicon-plus add-address"></a>
                </div>
                <div class="dropdown">
                    <input type="hidden" name="id_address" value="{$formattedAddresses.invoice.object.id|escape:'html':'UTF-8'}">
                    <button type="button" id="dLabelInv" class="btn btn-default btn-sm" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        {l s='Invoice Address' mod='flashcheckout'} <span class="caret"></span>
                    </button>
                    <ul class="dropdown-menu" aria-labelledby="dLabelInv">
                        {foreach from=$addresses item=address}
                            <li>
                                <a href="#" data-type="invoice" data-id="{$address.id_address|escape:'html':'UTF-8'}">{$address.alias|escape:'html':'UTF-8'}</a>
                            </li>
                        {/foreach}
                    </ul>
                </div>
                <address>
                    <span><strong>{$formattedAddresses.invoice.object.alias|escape:'html':'UTF-8'}</strong></span>
                    {foreach from=$formattedAddresses.invoice.ordered name=adr_loop item=pattern}
                        <span>
                            {assign var=addressKey value=" "|explode:$pattern}
                            {foreach from=$addressKey item=key name="word_loop"}
                                {$formattedAddresses.invoice.formated[$key|replace:',':'']|escape:'html':'UTF-8'}
                            {/foreach}
                        </span>
                    {/foreach}
                </address>
            </div>
        {/if}
    </div>
    <div class="modal fade" id="login_modal" tabindex="-1" role="dialog" aria-labelledby="login_modal_label">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title" id="login_modal_label">{l s='Account Details' mod='flashcheckout'}</h4>
                </div>
                <div class="modal-body">
                    <form action="#" method="post" id="login_form">
                        <fieldset>
                            <div class="form-group">
                                <label for="login_email">{l s='Email address' mod='flashcheckout'}</label>
                                <input type="email" class="form-control validate" id="login_email" name="email" data-validate="isEmail"/>
                            </div>
                            <div class="form-group">
                                <label for="login_passwd">{l s='Password' mod='flashcheckout'}</label>
                                <input class="form-control validate" type="password" id="login_passwd" name="passwd" data-validate="isPasswd"/>
                            </div>
                            <div class="form-group">
                                <a href="{$link->getPageLink('password', true)|escape:'html':'UTF-8'}" class="lost_password">{l s='Forgot your password?' mod='flashcheckout'}</a>
                            </div>
                            <div class="submit">
                                <button type="submit" id="SubmitLogin" name="SubmitLogin" class="button btn btn-default button-medium">
                                    <span><i class="icon-lock left"></i>{l s='Sign in' mod='flashcheckout'}</span>
                                </button>
                            </div>
                        </fieldset>
                    </form>
                    <form action="#" method="post" id="new_account_form">
                        <fieldset>
                            <div id="opc_account_details">
                                <div class="required text form-group">
                                    <label for="email">{l s='Email' mod='flashcheckout'} <sup>*</sup></label>
                                    <input type="email" class="text form-control validate" id="email" name="email" data-validate="isEmail" value="{if isset($customer) && isset($customer->email) && $customer->email}{$customer->email|escape:'html':'UTF-8'}{/if}"/>
                                </div>
                                <div class="required password is_customer_param form-group">
                                    <label for="passwd">{l s='Password' mod='flashcheckout'} <sup>*</sup></label>
                                    <input type="password" class="text form-control validate" name="passwd" id="passwd" data-validate="isPasswd"/>
                                    <span class="form_info">{l s='(five characters min.)' mod='flashcheckout'}</span>
                                </div>
                                <div class="required clearfix gender-line">
                                    <label>{l s='Social title' mod='flashcheckout'}</label>
                                    {foreach from=$genders key=k item=gender}
                                        <div class="radio-inline">
                                            <label for="id_gender{$gender->id_gender|escape:'html':'UTF-8'}" class="top">
                                                <input type="radio" name="id_gender" id="id_gender{$gender->id_gender|escape:'html':'UTF-8'}" value="{$gender->id_gender|escape:'html':'UTF-8'}"{if isset($customer) && $customer->id_gender == $gender->id_gender} checked="checked"{/if} />
                                                {$gender->name|escape:'html':'UTF-8'}
                                            </label>
                                        </div>
                                    {/foreach}
                                </div>
                                <div class="required form-group">
                                    <label for="customer_firstname">{l s='First name' mod='flashcheckout'} <sup>*</sup></label>
                                    <input type="text" class="text form-control validate" id="customer_firstname" name="customer_firstname" onblur="$('#firstname').val($(this).val());" data-validate="isName" value="{if isset($customer) && isset($customer->firstname) && $customer->firstname}{$customer->firstname|escape:'html':'UTF-8'}{/if}"/>
                                </div>
                                <div class="required form-group">
                                    <label for="customer_lastname">{l s='Last name' mod='flashcheckout'} <sup>*</sup></label>
                                    <input type="text" class="form-control validate" id="customer_lastname" name="customer_lastname" onblur="$('#lastname').val($(this).val());" data-validate="isName" value="{if isset($customer) && isset($customer->lastname) && $customer->lastname}{$customer->lastname|escape:'html':'UTF-8'}{/if}"/>
                                </div>
                                <div class="select form-group date-select">
                                    <label>{l s='Date of Birth' mod='flashcheckout'}</label>

                                    <div class="row">
                                        <div class="col-xs-4">
                                            <select id="days" name="days" class="form-control">
                                                <option value="">-</option>
                                                {foreach from=$days item=day}
                                                    <option value="{$day|escape|escape:'html':'UTF-8'}" {if isset($customer) && isset($customer->sl_day) && ($customer->sl_day == $day)} selected="selected"{/if}>
                                                        {$day|escape:'html':'UTF-8'}&nbsp;&nbsp;
                                                    </option>
                                                {/foreach}
                                            </select>
                                        </div>
                                        <div class="col-xs-4">
                                            <select id="months" name="months" class="form-control">
                                                <option value="">-</option>
                                                {foreach from=$months key=k item=month}
                                                    <option value="{$k|escape:'html':'UTF-8'}" {if isset($customer) && isset($customer->sl_month) && ($customer->sl_month == $k)} selected="selected"{/if}>
                                                        {l s=$month mod='flashcheckout'}&nbsp;&nbsp;
                                                    </option>
                                                {/foreach}
                                            </select>
                                        </div>
                                        <div class="col-xs-4">
                                            <select id="years" name="years" class="form-control">
                                                <option value="">-</option>
                                                {foreach from=$years item=year}
                                                    <option value="{$year|escape:'html':'UTF-8'}" {if isset($customer) && isset($customer->sl_year) && ($customer->sl_year == $year)} selected="selected"{/if}>
                                                        {$year|escape:'html':'UTF-8'}&nbsp;&nbsp;
                                                    </option>
                                                {/foreach}
                                            </select>
                                        </div>
                                    </div>
                                </div>
                                {if isset($newsletter) && $newsletter}
                                    <div class="checkbox">
                                        <label for="newsletter">
                                            <input type="checkbox" name="newsletter" id="newsletter" value="1"{if isset($customer) && isset($customer->newsletter) && $customer->newsletter} checked="checked"{/if} autocomplete="off"/>
                                            {l s='Sign up for our newsletter!' mod='flashcheckout'}
                                        </label>
                                        {if array_key_exists('newsletter', $field_required)}
                                            <sup> *</sup>
                                        {/if}
                                    </div>
                                {/if}
                                {if isset($optin) && $optin}
                                    <div class="checkbox">
                                        <label for="optin">
                                            <input type="checkbox" name="optin" id="optin" value="1"{if isset($customer) && isset($customer->optin) && $customer->optin} checked="checked"{/if} autocomplete="off"/>
                                            {l s='Receive special offers from our partners!' mod='flashcheckout'}</label>
                                        {if array_key_exists('optin', $field_required)}
                                            <sup> *</sup>
                                        {/if}
                                    </div>
                                {/if}
                                <input type="hidden" id="is_new_customer" name="is_new_customer" value="1"/>
                                <input type="hidden" id="opc_id_customer" name="opc_id_customer" value="{if isset($cart) && isset($cart->id_customer)}{$cart->id_customer|escape:'html':'UTF-8'}{else}0{/if}"/>
                                <input type="hidden" id="opc_id_address_delivery" name="opc_id_address_delivery" value="{if isset($cart) && isset($cart->id_address_delivery)}{$cart->id_address_delivery|escape:'html':'UTF-8'}{else}0{/if}"/>
                                <input type="hidden" id="opc_id_address_invoice" name="opc_id_address_invoice" value="{if isset($cart) && isset($cart->id_address_invoice)}{$cart->id_address_invoice|escape:'html':'UTF-8'}{else}0{/if}"/>
                            </div>
                            <div class="row">
                                <div class="col-xs-6">
                                    <div id="opc_delivery_address">
                                        {if isset($isVirtualCart) && $isVirtualCart}
                                            <h3 class="page-subheading top-indent">{l s='Invoice address' mod='flashcheckout'}</h3>
                                        {else}
                                            <h3 class="page-subheading top-indent">{l s='Delivery address' mod='flashcheckout'}</h3>
                                        {/if}
                                        {include file="./address-form-fields.tpl" address=$delivery postfix=""}
                                        <div class="checkbox"{if isset($isVirtualCart) && $isVirtualCart} style="display:none;"{/if}>
                                            <label for="invoice_address">
                                                <input type="checkbox" name="invoice_address" value="1" id="invoice_address"{if isset($cart) && isset($cart->id_address_delivery) && isset($cart->id_address_invoice) && $cart->id_address_delivery != $cart->id_address_invoice} checked{/if} autocomplete="off"/>
                                                {l s='Please use another address for invoice' mod='flashcheckout'}
                                            </label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xs-6">
                                    <div id="opc_invoice_address" class="is_customer_param">
                                        <h3 class="page-subheading top-indent">{l s='Invoice address' mod='flashcheckout'}</h3>
                                        {include file="./address-form-fields.tpl" address=$invoice postfix="_invoice"}
                                    </div>
                                </div>
                            </div>
                            <div class="submit opc-add-save clearfix">
                                <p class="required opc-required pull-right">
                                    <sup>*</sup>{l s='Required field' mod='flashcheckout'}
                                </p>
                                <!-- Account -->
                                <button type="submit" name="submitAccount" id="submitAccount" class="btn btn-default button button-medium">
                                    <span>{l s='Save' mod='flashcheckout'}<i class="icon-chevron-right right"></i></span>
                                </button>
                            </div>
                            <!-- END Account -->
                        </fieldset>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>