{**
 * Overrides default one page checkout with Flash Checkout
 *
 * Flash Checkout by Kahanit(https://www.kahanit.com/) is licensed under a
 * Creative Creative Commons Attribution-NoDerivatives 4.0 International License.
 * Based on a work at https://www.kahanit.com/.
 * Permissions beyond the scope of this license may be available at https://www.kahanit.com/.
 * To view a copy of this license, visit http://creativecommons.org/licenses/by-nd/4.0/.
 *
 * @author    Amit Sidhpura <amit@kahanit.com>
 * @copyright 2015 Kahanit
 * @license   http://creativecommons.org/licenses/by-nd/4.0/
 * @version   1.0.1.0
 *}
{assign var="stateExist" value=false}
{assign var="postCodeExist" value=false}
{assign var="dniExist" value=false}
{assign var="homePhoneExist" value=false}
{assign var="mobilePhoneExist" value=false}
{assign var="atLeastOneExists" value=false}
{if $postfix == '' || $postfix == '_delivery'}
    {assign var="ordered_adr_fields" value=$dlv_all_fields}
{else}
    {assign var="ordered_adr_fields" value=$inv_all_fields}
{/if}
{foreach from=$ordered_adr_fields item=field_name}
    {if $field_name eq 'company'}
        <div class="form-group">
            <label for="company{$postfix|escape:'html':'UTF-8'}">{l s='Company' mod='flashcheckout'}{if isset($required_fields) && in_array($field_name, $required_fields)}
                    <sup>*</sup>
                {/if}</label>
            <input class="form-control validate" data-validate="{$address_validation.$field_name.validate|escape:'html':'UTF-8'}" type="text" id="company{$postfix|escape:'html':'UTF-8'}" name="company{$postfix|escape:'html':'UTF-8'}" value="{if isset($address->company)}{$address->company|escape:'html':'UTF-8'}{/if}"/>
        </div>
    {/if}
    {if $field_name eq 'vat_number'}
        <div id="vat_area{$postfix|escape:'html':'UTF-8'}">
            <div id="vat_number{$postfix|escape:'html':'UTF-8'}">
                <div class="form-group">
                    <label for="vat-number{$postfix|escape:'html':'UTF-8'}">{l s='VAT number' mod='flashcheckout'}{if isset($required_fields) && in_array($field_name, $required_fields)}
                            <sup>*</sup>
                        {/if}</label>
                    <input type="text" class="form-control validate" data-validate="{$address_validation.$field_name.validate|escape:'html':'UTF-8'}" id="vat-number{$postfix|escape:'html':'UTF-8'}" name="vat_number{$postfix|escape:'html':'UTF-8'}" value="{if isset($address->vat_number)}{$address->vat_number|escape:'html':'UTF-8'}{/if}"/>
                </div>
            </div>
        </div>
    {/if}
    {if $field_name eq 'dni'}
        {assign var="dniExist" value=true}
        <div class="required form-group dni{$postfix|escape:'html':'UTF-8'}">
            <label for="dni{$postfix|escape:'html':'UTF-8'}">{l s='Identification number' mod='flashcheckout'} <sup>*</sup></label>
            <input class="form-control" data-validate="{$address_validation.$field_name.validate|escape:'html':'UTF-8'}" type="text" name="dni{$postfix|escape:'html':'UTF-8'}" id="dni{$postfix|escape:'html':'UTF-8'}" value="{if isset($address->dni)}{$address->dni|escape:'html':'UTF-8'}{/if}"/>
            <span class="form_info">{l s='DNI / NIF / NIE' mod='flashcheckout'}</span>
        </div>
    {/if}
    {if $field_name eq 'firstname'}
        <div class="required form-group">
            <label for="firstname{$postfix|escape:'html':'UTF-8'}">{l s='First name' mod='flashcheckout'} <sup>*</sup></label>
            <input class="is_required validate form-control" data-validate="{$address_validation.$field_name.validate|escape:'html':'UTF-8'}" type="text" name="firstname{$postfix|escape:'html':'UTF-8'}" id="firstname{$postfix|escape:'html':'UTF-8'}" value="{if isset($address->firstname)}{$address->firstname|escape:'html':'UTF-8'}{/if}"/>
        </div>
    {/if}
    {if $field_name eq 'lastname'}
        <div class="required form-group">
            <label for="lastname{$postfix|escape:'html':'UTF-8'}">{l s='Last name' mod='flashcheckout'} <sup>*</sup></label>
            <input class="is_required validate form-control" data-validate="{$address_validation.$field_name.validate|escape:'html':'UTF-8'}" type="text" id="lastname{$postfix|escape:'html':'UTF-8'}" name="lastname{$postfix|escape:'html':'UTF-8'}" value="{if isset($address->lastname)}{$address->lastname|escape:'html':'UTF-8'}{/if}"/>
        </div>
    {/if}
    {if $field_name eq 'address1'}
        <div class="required form-group">
            <label for="address1{$postfix|escape:'html':'UTF-8'}">{l s='Address' mod='flashcheckout'} <sup>*</sup></label>
            <input class="is_required validate form-control" data-validate="{$address_validation.$field_name.validate|escape:'html':'UTF-8'}" type="text" id="address1{$postfix|escape:'html':'UTF-8'}" name="address1{$postfix|escape:'html':'UTF-8'}" value="{if isset($address->address1)}{$address->address1|escape:'html':'UTF-8'}{/if}"/>
        </div>
    {/if}
    {if $field_name eq 'address2'}
        <div class="required form-group">
            <label for="address2{$postfix|escape:'html':'UTF-8'}">{l s='Address (Line 2)' mod='flashcheckout'}{if isset($required_fields) && in_array($field_name, $required_fields)}
                    <sup>*</sup>
                {/if}</label>
            <input class="validate form-control" data-validate="{$address_validation.$field_name.validate|escape:'html':'UTF-8'}" type="text" id="address2{$postfix|escape:'html':'UTF-8'}" name="address2{$postfix|escape:'html':'UTF-8'}" value="{if isset($address->address2)}{$address->address2|escape:'html':'UTF-8'}{/if}"/>
        </div>
    {/if}
    {if $field_name eq 'postcode'}
        {assign var="postCodeExist" value=true}
        <div class="required postcode{$postfix|escape:'html':'UTF-8'} form-group unvisible">
            <label for="postcode{$postfix|escape:'html':'UTF-8'}">{l s='Zip/Postal Code' mod='flashcheckout'} <sup>*</sup></label>
            <input class="is_required validate form-control" data-validate="{$address_validation.$field_name.validate|escape:'html':'UTF-8'}" type="text" id="postcode{$postfix|escape:'html':'UTF-8'}" name="postcode{$postfix|escape:'html':'UTF-8'}" value="{if isset($address->postcode)}{$address->postcode|escape:'html':'UTF-8'}{/if}"/>
        </div>
    {/if}
    {if $field_name eq 'city'}
        <div class="required form-group">
            <label for="city{$postfix|escape:'html':'UTF-8'}">{l s='City' mod='flashcheckout'} <sup>*</sup></label>
            <input class="is_required validate form-control" data-validate="{$address_validation.$field_name.validate|escape:'html':'UTF-8'}" type="text" name="city{$postfix|escape:'html':'UTF-8'}" id="city{$postfix|escape:'html':'UTF-8'}" value="{if isset($address->city)}{$address->city|escape:'html':'UTF-8'}{/if}" maxlength="64"/>
        </div>
    {/if}
    {if $field_name eq 'Country:name' || $field_name eq 'country' || $field_name eq 'Country:iso_code'}
        <div class="required form-group">
            <label for="id_country{$postfix|escape:'html':'UTF-8'}">{l s='Country' mod='flashcheckout'} <sup>*</sup></label>
            <select id="id_country{$postfix|escape:'html':'UTF-8'}" class="form-control" name="id_country{$postfix|escape:'html':'UTF-8'}">
                {foreach $countries as $country}
                    <option value="{$country.id_country|escape:'html':'UTF-8'}"{if ($address->id_country == $country.id_country) || (!isset($address->id_country) && $sl_country == $country.id_country)} selected="selected"{/if}>{$country.name|escape:'html':'UTF-8'}</option>
                {/foreach}
            </select>
        </div>
    {/if}
    {if $field_name eq 'State:name'}
        {assign var="stateExist" value=true}
        <div class="required id_state{$postfix|escape:'html':'UTF-8'} form-group">
            <label for="id_state{$postfix|escape:'html':'UTF-8'}">{l s='State' mod='flashcheckout'} <sup>*</sup></label>
            <select name="id_state{$postfix|escape:'html':'UTF-8'}" id="id_state{$postfix|escape:'html':'UTF-8'}" class="form-control">
                <option value="">-</option>
            </select>
        </div>
    {/if}
    {if $field_name eq 'phone'}
        {assign var="homePhoneExist" value=true}
        <div class="form-group phone-number{$postfix|escape:'html':'UTF-8'}">
            <label for="phone{$postfix|escape:'html':'UTF-8'}">{l s='Home phone' mod='flashcheckout'}{if isset($one_phone_at_least) && $one_phone_at_least}
                    <sup>**</sup>
                {/if}</label>
            <input class="{if isset($one_phone_at_least) && $one_phone_at_least}is_required{/if} validate form-control" data-validate="{$address_validation.phone.validate|escape:'html':'UTF-8'}" type="tel" id="phone{$postfix|escape:'html':'UTF-8'}" name="phone{$postfix|escape:'html':'UTF-8'}" value="{if isset($address->phone)}{$address->phone|escape:'html':'UTF-8'}{/if}"/>
        </div>
        {if isset($one_phone_at_least) && $one_phone_at_least}
            {assign var="atLeastOneExists" value=true}
            <p class="inline-infos required">** {l s='You must register at least one phone number.' mod='flashcheckout'}</p>
        {/if}
        <div class="clearfix"></div>
    {/if}
    {if $field_name eq 'phone_mobile'}
        {assign var="mobilePhoneExist" value=true}
        <div class="{if isset($one_phone_at_least) && $one_phone_at_least}required {/if}form-group">
            <label for="phone_mobile{$postfix|escape:'html':'UTF-8'}">{l s='Mobile phone' mod='flashcheckout'}{if isset($one_phone_at_least) && $one_phone_at_least}
                    <sup>**</sup>
                {/if}</label>
            <input class="validate form-control" data-validate="{$address_validation.phone_mobile.validate|escape:'html':'UTF-8'}" type="tel" id="phone_mobile{$postfix|escape:'html':'UTF-8'}" name="phone_mobile{$postfix|escape:'html':'UTF-8'}" value="{if isset($address->phone_mobile)}{$address->phone_mobile|escape:'html':'UTF-8'}{/if}"/>
        </div>
    {/if}
{/foreach}
{if !$postCodeExist}
    <div class="required postcode{$postfix|escape:'html':'UTF-8'} form-group unvisible">
        <label for="postcode{$postfix|escape:'html':'UTF-8'}">{l s='Zip/Postal Code' mod='flashcheckout'} <sup>*</sup></label>
        <input class="is_required validate form-control" data-validate="{$address_validation.postcode.validate|escape:'html':'UTF-8'}" type="text" id="postcode{$postfix|escape:'html':'UTF-8'}" name="postcode{$postfix|escape:'html':'UTF-8'}" value="{if isset($address->postcode)}{$address->postcode|escape:'html':'UTF-8'}{/if}"/>
    </div>
{/if}
{if !$stateExist}
    <div class="required id_state{$postfix|escape:'html':'UTF-8'} form-group unvisible">
        <label for="id_state{$postfix|escape:'html':'UTF-8'}">{l s='State' mod='flashcheckout'} <sup>*</sup></label>
        <select name="id_state{$postfix|escape:'html':'UTF-8'}" id="id_state{$postfix|escape:'html':'UTF-8'}" class="form-control">
            <option value="">-</option>
        </select>
    </div>
{/if}
{if !$dniExist}
    <div class="required dni{$postfix|escape:'html':'UTF-8'} form-group unvisible">
        <label for="dni{$postfix|escape:'html':'UTF-8'}">{l s='Identification number' mod='flashcheckout'} <sup>*</sup></label>
        <input class="is_required form-control" data-validate="{$address_validation.dni.validate|escape:'html':'UTF-8'}" type="text" name="dni{$postfix|escape:'html':'UTF-8'}" id="dni{$postfix|escape:'html':'UTF-8'}" value="{if isset($address->dni)}{$address->dni|escape:'html':'UTF-8'}{/if}"/>
        <span class="form_info">{l s='DNI / NIF / NIE' mod='flashcheckout'}</span>
    </div>
{/if}
<div class="form-group">
    <label for="other{$postfix|escape:'html':'UTF-8'}">{l s='Additional information' mod='flashcheckout'}</label>
    <textarea class="validate form-control" data-validate="{$address_validation.other.validate|escape:'html':'UTF-8'}" id="other{$postfix|escape:'html':'UTF-8'}" name="other{$postfix|escape:'html':'UTF-8'}" cols="26" rows="3">{if isset($address->other)}{$address->other|escape:'html':'UTF-8'}{/if}</textarea>
</div>
{if !$homePhoneExist}
    <div class="form-group phone-number{$postfix|escape:'html':'UTF-8'}">
        <label for="phone{$postfix|escape:'html':'UTF-8'}">{l s='Home phone' mod='flashcheckout'}</label>
        <input class="{if isset($one_phone_at_least) && $one_phone_at_least}is_required{/if} validate form-control" data-validate="{$address_validation.phone.validate|escape:'html':'UTF-8'}" type="tel" id="phone{$postfix|escape:'html':'UTF-8'}" name="phone{$postfix|escape:'html':'UTF-8'}" value="{if isset($address->phone)}{$address->phone|escape:'html':'UTF-8'}{/if}"/>
    </div>
{/if}
{if isset($one_phone_at_least) && $one_phone_at_least && !$atLeastOneExists}
    <p class="inline-infos required">{l s='You must register at least one phone number.' mod='flashcheckout'}</p>
{/if}
<div class="clearfix"></div>
{if !$mobilePhoneExist}
    <div class="{if isset($one_phone_at_least) && $one_phone_at_least}required {/if}form-group">
        <label for="phone_mobile{$postfix|escape:'html':'UTF-8'}">{l s='Mobile phone' mod='flashcheckout'}{if isset($one_phone_at_least) && $one_phone_at_least}
                <sup>**</sup>
            {/if}</label>
        <input class="validate form-control" data-validate="{$address_validation.phone_mobile.validate|escape:'html':'UTF-8'}" type="tel" id="phone_mobile{$postfix|escape:'html':'UTF-8'}" name="phone_mobile{$postfix|escape:'html':'UTF-8'}" value="{if isset($address->phone_mobile)}{$address->phone_mobile|escape:'html':'UTF-8'}{/if}"/>
    </div>
{/if}
<div class="required form-group" id="adress_alias{$postfix|escape:'html':'UTF-8'}">
    <label for="alias{$postfix|escape:'html':'UTF-8'}">{l s='Please assign an address title for future reference.' mod='flashcheckout'} <sup>*</sup></label>
    <input type="text" id="alias{$postfix|escape:'html':'UTF-8'}" class="is_required validate form-control" data-validate="{$address_validation.alias.validate|escape:'html':'UTF-8'}" name="alias{$postfix|escape:'html':'UTF-8'}" value="{if isset($address->alias)}{$address->alias|escape:'html':'UTF-8'}{elseif $postfix == ''}{l s='My address' mod='flashcheckout'}{elseif $postfix == '_invoice'}{l s='My invoice address' mod='flashcheckout'}{/if}"/>
</div>
<p class="submit2">
    <input type="hidden" id="id_address{$postfix|escape:'html':'UTF-8'}" name="id_address{$postfix|escape:'html':'UTF-8'}" value="{if isset($address->id)}{$address->id|intval}{else}0{/if}"/>
    {if isset($mod)}<input type="hidden" name="mod{$postfix|escape:'html':'UTF-8'}" value="{$mod|escape:'html':'UTF-8'}" />{/if}
    {if isset($select_address)}
        <input type="hidden" name="select_address{$postfix|escape:'html':'UTF-8'}" value="{$select_address|intval}"/>
    {/if}
    <input type="hidden" name="token{$postfix|escape:'html':'UTF-8'}" value="{$token|escape:'html':'UTF-8'}"/>
    {if isset($show_submit) && $show_submit}
        <button type="submit" name="submitAddress{$postfix|escape:'html':'UTF-8'}" id="submitAddress{$postfix|escape:'html':'UTF-8'}" class="btn btn-default button button-medium">
            <span>
                {l s='Save' mod='flashcheckout'}
                <i class="icon-chevron-right right"></i>
            </span>
        </button>
    {/if}
</p>
{strip}
    {if isset($address->id_state) && $address->id_state}
        {addJsDefL name='idSelectedState'|cat:$postfix}{$address->id_state|escape:'html':'UTF-8'}{/addJsDefL}
    {/if}

    {if isset($address->id_country) && $address->id_country}
        {addJsDefL name='idSelectedCountry'|cat:$postfix}{$address->id_country|escape:'html':'UTF-8'}{/addJsDefL}
    {/if}

    {if isset($countries)}
        {addJsDef countries=$countries}
    {/if}

    {if isset($vatnumber_ajax_call) && $vatnumber_ajax_call}
        {addJsDef vatnumber_ajax_call=$vatnumber_ajax_call}
    {/if}
{/strip}