{**
 * Overrides default one page checkout with Flash Checkout
 *
 * Flash Checkout by Kahanit(https://www.kahanit.com/) is licensed under a
 * Creative Creative Commons Attribution-NoDerivatives 4.0 International License.
 * Based on a work at https://www.kahanit.com/.
 * Permissions beyond the scope of this license may be available at https://www.kahanit.com/.
 * To view a copy of this license, visit http://creativecommons.org/licenses/by-nd/4.0/.
 *
 * @author    Amit Sidhpura <amit@kahanit.com>
 * @copyright 2015 Kahanit
 * @license   http://creativecommons.org/licenses/by-nd/4.0/
 * @version   1.0.1.0
 *}
<div id="flashcheckout-delivery" class="panel panel-default"{if count($products) == 0} style="display:none;"{/if}>
    <div class="panel-heading">
        <i class="glyphicon glyphicon-plane"></i>
        <span>{l s='Delivery Methods' mod='flashcheckout'}</span>
    </div>
    {if isset($isVirtualCart) && $isVirtualCart}
        <p class="alert alert-warning">{l s='No carrier is needed for this order.' mod='flashcheckout'}</p>
    {else}
        <div class="list-group">
            {if isset($delivery_option_list)}
                {foreach $delivery_option_list as $id_address => $option_list}
                    {foreach $option_list as $key => $option}
                        <div id="delivery_option_{$id_address|intval}_{$option@index|intval}" data-name="delivery_option[{$id_address|intval}]" data-value="{$key|escape:'html':'UTF-8'}"
                             class="list-group-item delivery_option{if isset($delivery_option[$id_address]) && $delivery_option[$id_address] == $key} selected{/if}">
                            <span class="tasks-list-mark"></span>
                            <span class="badge">
                                {if $option.total_price_with_tax && !$option.is_free && (!isset($free_shipping) || (isset($free_shipping) && !$free_shipping))}
                                    {if $use_taxes == 1}
                                        {if $priceDisplay == 1}{convertPrice price=$option.total_price_without_tax}{if $display_tax_label}{*{l s='(tax excl.)' mod='flashcheckout'}*}{/if}
                                        {else}{convertPrice price=$option.total_price_with_tax}{if $display_tax_label}{*{l s='(tax incl.)' mod='flashcheckout'}*}{/if}{/if}
                                    {else}
                                        {convertPrice price=$option.total_price_without_tax}
                                    {/if}
                                {else}
                                    {l s='Free' mod='flashcheckout'}
                                {/if}
                            </span>
                            <span class="list-group-item-desc">
                                {foreach $option.carrier_list as $carrier}
                                    {capture name='list_group_item_desc_title_temp'}
                                        {strip}
                                            {if count($carrier.product_list) <= 1}{l s='For this product:' mod='flashcheckout'}
                                            {else}{l s='For these products:' mod='flashcheckout'}{/if}
                                        {/strip}
                                        {foreach $carrier.product_list as $product}
                                            {strip}
                                                {$product.name|escape:'html':'UTF-8'}
                                                {if isset($product.attributes) && $product.attributes}{$product.attributes|escape:'html':'UTF-8'}{/if}
                                                {if !$product@last}, {/if}
                                            {/strip}
                                        {/foreach}
                                    {/capture}
                                    {assign var='list_group_item_desc_title' value=$smarty.capture.list_group_item_desc_title_temp}
                                    <span class="list-group-item-desc-item" data-toggle="tooltip" data-placement="top" title="{$list_group_item_desc_title|escape:'html':'UTF-8'}">
                                        {if $carrier.logo}
                                            <img src="{$carrier.logo|escape:'html':'UTF-8'}" alt="{$carrier.instance->name|escape:'html':'UTF-8'}"/>
                                        {/if}
                                        <span>
                                            <strong>{$carrier.instance->name|truncate:25|escape:'html':'UTF-8'}</strong>
                                            ({$carrier.instance->delay[$cookie->id_lang]|escape:'html':'UTF-8'})
                                        </span>
                                    </span>
                                    {if !$carrier@last}<br>{/if}
                                {/foreach}
                                {if count($option_list) > 1}
                                    {if $option.is_best_grade && $option.is_best_price}
                                        <span title="{l s='The best price' mod='flashcheckout'}" class="best_grade best_grade_price">{l s='The best price' mod='flashcheckout'}</span>
                                        <span title="{l s='The fastest' mod='flashcheckout'}" class="best_grade best_grade_speed">{l s='The fastest' mod='flashcheckout'}</span>{elseif $option.is_best_price}
                                        <span title="{l s='The best price' mod='flashcheckout'}" class="best_grade best_grade_price">{l s='The best price' mod='flashcheckout'}</span>{/if}
                                {/if}
                            </span>
                        </div>
                        <!-- end delivery_option -->
                    {/foreach}
                    <!-- end delivery_options -->
                    {foreachelse}
                    {assign var='errors' value=' '|explode:''}
                    <p class="alert alert-warning" id="noCarrierWarning">
                        {foreach $cart->getDeliveryAddressesWithoutCarriers(true, $errors) as $address}
                            {if empty($address->alias)}
                                {l s='No carriers available.' mod='flashcheckout'}
                            {else}
                                {assign var='flag_error_message' value=false}
                                {foreach $errors as $error}
                                    {if $error == Carrier::SHIPPING_WEIGHT_EXCEPTION}
                                        {$flag_error_message = true}
                                        {l s='The product selection cannot be delivered by the available carrier(s): it is too heavy. Please amend your cart to lower its weight.' mod='flashcheckout'}
                                    {elseif $error == Carrier::SHIPPING_PRICE_EXCEPTION}
                                        {$flag_error_message = true}
                                        {l s='The product selection cannot be delivered by the available carrier(s). Please amend your cart.' mod='flashcheckout'}
                                    {elseif $error == Carrier::SHIPPING_SIZE_EXCEPTION}
                                        {$flag_error_message = true}
                                        {l s='The product selection cannot be delivered by the available carrier(s): its size does not fit. Please amend your cart to reduce its size.' mod='flashcheckout'}
                                    {/if}
                                {/foreach}
                                {if !$flag_error_message}
                                    {l s='No carriers available for the address "%s".' sprintf=$address->alias mod='flashcheckout'}
                                {/if}
                            {/if}
                            {if !$address@last}
                                <br/>
                            {/if}
                            {foreachelse}
                            {l s='No carriers available.' mod='flashcheckout'}
                        {/foreach}
                    </p>
                {/foreach}
            {/if}
        </div>
        <div id="flashcheckout-deliveryoptions">
            <p class="carrier_title">{l s='Leave a message' mod='flashcheckout'}</p>

            <div>
                <p>{l s='If you would like to add a comment about your order, please write it in the field below.' mod='flashcheckout'}</p>
                <textarea class="form-control" cols="120" rows="2" name="message" id="message">{strip}
                    {if isset($oldMessage)}{$oldMessage|escape:'html':'UTF-8'}{/if}
                {/strip}</textarea>
            </div>
            {if $recyclablePackAllowed}
                <p class="carrier_title">{l s='Recyclable Packaging' mod='flashcheckout'}</p>
                <div class="checkbox recyclable">
                    <label for="recyclable">
                        <input type="checkbox" name="recyclable" id="recyclable" value="1"{if $recyclable == 1} checked="checked"{/if} />
                        {l s='I would like to receive my order in recycled packaging.' mod='flashcheckout'}
                    </label>
                </div>
            {/if}
            {if $giftAllowed}
                <p class="carrier_title">{l s='Gift' mod='flashcheckout'}</p>
                <div class="checkbox gift">
                    <input type="checkbox" name="gift" id="gift" value="1"{if $cart->gift == 1} checked="checked"{/if} />
                    <label for="gift">
                        {l s='I would like my order to be gift wrapped.' mod='flashcheckout'}
                        {if $gift_wrapping_price > 0}
                            <i>({l s='Additional cost of' mod='flashcheckout'}
                                <span class="price" id="gift-price">
									{if $priceDisplay == 1}
                                        {convertPrice price=$total_wrapping_tax_exc_cost}
                                    {else}
                                        {convertPrice price=$total_wrapping_cost}
                                    {/if}
								</span>
                                {if $use_taxes && $display_tax_label}
                                    {if $priceDisplay == 1}
                                        {l s='(tax excl.)' mod='flashcheckout'}
                                    {else}
                                        {l s='(tax incl.)' mod='flashcheckout'}
                                    {/if}
                                {/if})
                            </i>
                        {/if}
                    </label>
                </div>
                <div id="gift_message_div"{if $cart->gift != 1} style="display:none;"{/if}>
                    <label for="gift_message">{l s='If you\'d like, you can add a note to the gift:' mod='flashcheckout'}</label>
                    <textarea rows="2" cols="120" id="gift_message" class="form-control" name="gift_message">{$cart->gift_message|escape:'html':'UTF-8'}</textarea>
                </div>
            {/if}
        </div>
    {/if}
</div>