{**
 * Overrides default one page checkout with Flash Checkout
 *
 * Flash Checkout by Kahanit(https://www.kahanit.com/) is licensed under a
 * Creative Creative Commons Attribution-NoDerivatives 4.0 International License.
 * Based on a work at https://www.kahanit.com/.
 * Permissions beyond the scope of this license may be available at https://www.kahanit.com/.
 * To view a copy of this license, visit http://creativecommons.org/licenses/by-nd/4.0/.
 *
 * @author    Amit Sidhpura <amit@kahanit.com>
 * @copyright 2015 Kahanit
 * @license   http://creativecommons.org/licenses/by-nd/4.0/
 * @version   1.0.1.0
 *}
<div id="flashcheckout-payment" class="panel panel-default"{if count($products) == 0} style="display:none;"{/if}>
    <div class="panel-heading">
        <i class="glyphicon glyphicon-credit-card"></i> <span>{l s='Payment Methods' mod='flashcheckout'}</span>
    </div>
    {if !isset($freeOrder) || !$freeOrder}
        <div class="list-group">
            {if isset($payments) && count($payments) > 0}
                {foreach from=$payments item=payment}
                    <div class="list-group-item{if $payment.name == $id_payment} selected{/if}" data-name="{$payment.name|escape:'html':'UTF-8'}" data-link="{$payment.link|escape:'html':'UTF-8'}">
                        <span class="tasks-list-mark"></span>
                        <span class="list-group-item-desc">{$payment.title}{* html, not escaped *}</span>

                        <div class="list-group-item-html">{$payment.html}{* html, not escaped *}</div>
                    </div>
                {/foreach}
            {else}
                <p class="alert alert-warning" id="noPaymentWarning">{l s='No payment methods available.' mod='flashcheckout'}</p>
            {/if}
        </div>
        <div class="modal fade" id="confirm_modal" tabindex="-1" role="dialog" aria-labelledby="confirm_modal_label">
            <div class="modal-dialog modal-lg" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span></button>
                        <h4 class="modal-title" id="confirm_modal_label">{l s='Confirm Order' mod='flashcheckout'}</h4>
                    </div>
                    <div class="modal-body">
                        <iframe width="100%" height="100%"></iframe>
                        <div id="icontent"></div>
                    </div>
                </div>
            </div>
        </div>
    {/if}
    <div id="flashcheckout-paymentconfirm">
        <label> <input type="checkbox" id="agreeterms" name="agreeterms" value="1"{if $checkedTOS} checked{/if}>
            {l s='I agree to the terms of service and adhere to them unconditionally.' mod='flashcheckout'}
            (<a id="condition" href="{$link_conditions|escape:'html':'UTF-8'}">{l s='read' mod='flashcheckout'}</a>)
        </label>
        <button id="confirmorder" type="button" class="btn btn-success pull-right">
            <i class="glyphicon glyphicon-ok"></i> <span>{l s='Confirm Order' mod='flashcheckout'}</span>
        </button>
    </div>
    <div class="modal fade" id="condition_modal" tabindex="-1" role="dialog" aria-labelledby="condition_modal_label">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title" id="condition_modal_label">{l s='Terms of Service' mod='flashcheckout'}</h4>
                </div>
                <div class="modal-body">
                    <iframe width="100%" height="100%"></iframe>
                </div>
            </div>
        </div>
    </div>
</div>{addJsDef historyUrl=$link->getPageLink("history", true)|escape:'quotes':'UTF-8'}
{addJsDef guestTrackingUrl=$link->getPageLink("guest-tracking", true)|escape:'quotes':'UTF-8'}
{addJsDef linkConditions=$link_conditions|escape:'html':'UTF-8'}